summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-09-03 09:05:41 +0200
committerHans de Graaff <graaff@gentoo.org>2016-09-03 09:05:41 +0200
commitfcefd4791919a50e57142e521619197b0d3cefda (patch)
tree969a84a0f7d83dfbab79634c69c8a1445fdc4440 /dev-ruby
parentdev-ruby/backports: add ruby23 (diff)
downloadgentoo-fcefd4791919a50e57142e521619197b0d3cefda.tar.gz
gentoo-fcefd4791919a50e57142e521619197b0d3cefda.tar.bz2
gentoo-fcefd4791919a50e57142e521619197b0d3cefda.zip
dev-ruby/activesupport: add rails 5.0.0.1
Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/activesupport/Manifest1
-rw-r--r--dev-ruby/activesupport/activesupport-5.0.0.1.ebuild72
2 files changed, 73 insertions, 0 deletions
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index 9a8dc6373db..814621c4fc2 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -4,3 +4,4 @@ DIST rails-4.1.16.tgz 3730763 SHA256 fd17ccacee3a61c17d2cfa36db36f583ed3d05eac50
DIST rails-4.2.6.tgz 4179056 SHA256 68bf40c27e0ee75b26c7b48fbe357f024b8d6d322a4ecf5c3427b4d6ef959fef SHA512 040599aa1c6a09ca569f377b1f49a4404d9516599d16d6909f93ffd2e387dfb20835a2842980cc5c119aaef411985e47f55ec8907041ff633b8f98ea101a42d0 WHIRLPOOL 1aef2ff5790fa94f1003fa6acdcad26b7bcb6a6a02f075e41a6ba5a5b77790420afa57ea64d3192e92de595161ba3741e7e7f8be7dbac6871ba5137a53f81efe
DIST rails-4.2.7.1.tgz 4181681 SHA256 bfa7854f1b35e449b78db2af83fe660f17b101a487728fcfc6fb623967fb4783 SHA512 b926b59822ddd0837a402d798a7f2c9152d9916805153d3cad081d47e692992cdf3c7aaf8af47b061e3d78f8f23357674c5a9ed6c945b082e2d8c909281f5527 WHIRLPOOL da253d85bdc93c500a220b7688597dcb86c192226f5532619d8bb081440326e4dba8cc78f3bf946f16fe67e28beae0274649533aaf966177295daff7c4bf1188
DIST rails-4.2.7.tgz 4181136 SHA256 31005bc5892ef4d478016f4ef66c7708d0bfc440d917dac8a5e84a461fa2a980 SHA512 89df542cac1cf31be376fff3d919860168ce5df0dcd51035411a7f82a59a6fc27d8aecdd92dc20dee59831745ecab1ff8e404756dbc85a1ec08c3f2c1721e7dc WHIRLPOOL 15653098db0702b5e76e6fc4eba0f4fa6eaf73b30a23d1bf10e08cd999452608325ebba25c87b85d790ab49cf8ba216f40ee4dc25bd072cc8be89546af378542
+DIST rails-5.0.0.1.tgz 6139334 SHA256 3cbbe71d80c2813dde0d2bfa61aea57c8e6a1a3b2a81e6b211dbf2f2a4be2add SHA512 8e820f26543e8ad05b01a75e4e4df1adb229b5d90cfccd1b63d77a6ab25f232d24a875cd5630648e58c6598d741a3d35b2a76fd7e99a0f06971f84ee63ada56f WHIRLPOOL 9aed4fab1c8ea06185de5320ed85d6d51ed0babf6143c3d70df352adea5721c3074bb80c351b395752b2d8c60f5fcb8982b086e507836b9867d6597f2d72df4c
diff --git a/dev-ruby/activesupport/activesupport-5.0.0.1.ebuild b/dev-ruby/activesupport/activesupport-5.0.0.1.ebuild
new file mode 100644
index 00000000000..71580717455
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-5.0.0.1.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+ >=dev-ruby/concurrent-ruby-1.0.2:1
+ >=dev-ruby/i18n-0.7:0.7
+ >=dev-ruby/tzinfo-1.1:1
+ >=dev-ruby/minitest-5.1:5
+ >=dev-ruby/thread_safe-0.3.4:0"
+
+# memcache-client, nokogiri, and builder are not strictly
+# needed, but there are tests using this code.
+ruby_add_bdepend "test? (
+ >=dev-ruby/dalli-2.2.1
+ >=dev-ruby/nokogiri-1.4.5
+ >=dev-ruby/builder-3.1.0
+ >=dev-ruby/listen-3.0.5:3
+ dev-ruby/rack
+ dev-ruby/mocha:0.14
+ <dev-ruby/minitest-5.4
+ )"
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Remove items from the common Gemfile that we don't need for this
+ # test run. This also requires handling some gemspecs.
+ sed -i -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|sprockets\|stackprof\|rack-cache\|sqlite\)/ s:^:#:" \
+ -e '/:job/,/end/ s:^:#:' \
+ -e '/group :doc/,/^end/ s:^:#:' \
+ -e 's/gemspec/gemspec path: "activesupport"/' \
+ -e '5igem "builder"; gem "rack"' ../Gemfile || die
+ rm ../Gemfile.lock || die
+
+ # Avoid test not working within portage
+ sed -i -e '/test_messing_with_either_encrypted_values_causes_failure/askip "gentoo"' test/message_encryptor_test.rb || die
+
+ # Avoid tests failing since test_order cattr is also seen as a test
+ # method
+ rm -f test/xml_mini/libxml{,sax}_engine_test.rb || die
+
+ # Avoid tests that seem to trigger race conditions. This might be
+ # fixed upstream in 7bd41994480c17db71fdc07e3447ade929eaa386
+ rm -f test/evented_file_update_checker_test.rb || die
+}